Subject: selling of butterflies

From: [email-masked] (Barry J. Hicks)
Date: 18 Jan 1995 13:08:44 GMT

I recently saw an advertisement on a local TV station of a person selling 
local and tropical Butterflies. There has been a lot of talk recently on 
Entomo-L about US laws. I wondering if anyone knows the Canadian laws 
regarding this type of business.